/***************************************************
*  File			: menue.h
*  Autor 		: D.Nolte
*  Date 		: 17.11.2005
*  Version		: 0.0.9
*  -------------------------------------------------
*  Discription	:
*  Header-Datei fr das Display Men
*  
*  -------------------------------------------------
*  Changed :
*  Date / Autor / comment.
*
****************************************************/

#ifndef _menue_H_
	#define _menue_H_
	
	#ifndef _main_H_			//Main aufruf
		#include "main.h"		
	#endif

//
typedef struct {
   char volatile 	nr;			//Programm nummer
   char volatile 	day;		//Tag als Zahl
   char volatile 	start_H;	//ffnungszeit Stunde
   char volatile 	start_M; 	//ffnungszeit Minute
   char volatile 	end_H;		//Schliesszeit Stunde
   char volatile 	end_M;		//Schliesszeit Minute
   char volatile 	active;		//Zeigt an ob das Programm Aktiv ist
} TimeSet_t;

typedef struct {
	char volatile 	Act_key;		//Aktueller Tasten code
	char volatile 	Old_key;		//Code der zuletzt gedrckten Taste
	int	volatile 	Act_menue;		//Nummer des Aktuellen Mens
	int	volatile 	active;			//Menu ist aktive 
	int	volatile 	List_count;		//Zeiger auf die Cursor position 
	int	volatile 	List_index;		//
	int	volatile 	List_prog;
	int	volatile 	start;			//Automatik gestartet
	int	volatile 	Auto_count;	
	char volatile 	old_second;		//Fr Display Nr.4 refresh
	char volatile 	released;		
	int	volatile 	locked;
} ProgHandle_t;

//Globale Variablen
extern ProgHandle_t MH;
extern TimeSet_t PM[Anzahl_Programme+1];
 
//Set Digit and return value
int digitcount (char keycode, int digit, int llimit,int hlimit);

void ProgramInput (void);

void DT_Input(void);

void Menue(void);

#endif

