/***************************************************
*  File			: uart.h
*  Autor 		: D.Nolte
*  Date 		: 11.04.2005
*  Version		: 0.0.1
*  -------------------------------------------------
*  Discription	:
*  
*  
*  -------------------------------------------------
*  Changed :
*  Date / Autor / comment.
*
****************************************************/
#ifndef _USART_H_
	#define _USART_H_

#include <avr/io.h>

extern void 	usart_init(unsigned int);
//extern int 	uart_putc (const uint8_t);
extern int 	usart_putc (const uint8_t);
extern uint8_t	usart_getc_wait (void);
extern int 	usart_getc_nowait (void);

static inline void usart_flush (void)
{
	while (UCSRB & (1 << UDRIE));
}

#endif /* _UART_H_ */
