/***************************************************
*  File			: datum.h
*  Autor 		: D.Nolte
*  Date 		: 12.04.2005
*  Version		: 0.0.9
*  -------------------------------------------------
*  Discription	:
*  
*  
*  -------------------------------------------------
*  Changed :
*  Date / Autor / comment.
*
****************************************************/

#ifndef _datum_H_
	#define _datum_H_ 
	
#ifndef _menue_H
	#include <menue.h>
#endif

typedef struct {
   char minute;
   char hour;
   char weekday;
} DT_t;

typedef struct {
	char volatile  second;
	char volatile minute;
	char volatile hour;
	char volatile day;
	char volatile month;
	int  volatile year;
	char volatile weekday;
} DateTime_t;

//Globale Variablen
extern DateTime_t DateAndTime;

//Lokale verwendung
char leapyear (int);

char week_day_f(void);

//Globale verwendung
void Clock_init (void);

char GRT_DT(int count,char cmd);

DateTime_t get_DT(void);

void set_DT(DateTime_t );

#endif
