/***************************************************
*  File			: dely.c
*  Autor 		: D.Nolte
*  Date 		: 11.04.2005
*  Version		: 0.0.9
*  -------------------------------------------------
*  Discription	:
*  
*  
*  -------------------------------------------------
*  Changed :
*  Date / Autor / comment.
*
****************************************************/

#ifndef _delays_h_			//Zeitverzgerungen
	#include "delays.h"
#endif

#include <avr/io.h>   	//AVR
#include <util/delay.h>

void delay_us(int us){
   int counter=0;
   while (counter !=us){
      // 4x4 cycles = 4 X ( 4 X 0,0000000625s) = 4 X 0,00000025s = 0,000001s
      _delay_loop_2(4); //bei 16Mhz = 1s
	  //_delay_loop_2(1); //bei 4Mhz = 1s
      counter++;
   }
}
void delay_ms(int ms){
   int counter=0;
   while (counter !=ms){   
	  // 4000X4 cycles = 4 X ( 4 X 0,0000000625) = 4000 X 0,00000025 = 1ms
      _delay_loop_2(4000); // bei 16Mhz = 1ms
      counter++;
   }
}
void delay_s(int s){
    int counter_S=0;
	int counter_ms=0;
	while (counter_S !=s){
		while (counter_ms !=1000){   
			// 4000X4 cycles = 4 X ( 4 X 0,0000000625) = 4000 X 0,00000025 = 1ms
			_delay_loop_2(4000); // bei 16Mhz = 1ms
			counter_ms++;
		}	
		counter_S++;
	}
}
