/***************************************************
*  Datei		: lcd.h
*  Autor 		: D.Nolte
*  Datum 		: 11.04.2005
*  Version		: 0.0.9
*  -------------------------------------------------
*  Beschreibung	:
*  
*  
*  -------------------------------------------------
*  Aenderungen :
*  Datum / Autor / Bemerkung.
*
****************************************************/

#ifndef _lcd_H_
	#define _lcd_H_

#define LCD_DATA PORTC
#define LCD_CMD  PORTB
#define LCD_E    0x20
#define LCD_WR   0x40
#define LCD_RS   0x80


#define LCD_clr 0x01
#define LCD_cr  0x02
#define LCD_line1 0x01
#define LCD_line2 0x02


void LCD_cmd(char cmd);

void LCD_init(void);

void LCD_clear(void);

void LCD_cursor(char line,char colum);

void LCD_char(char string);

void LCD_print(char line,char colum,char string[15]);

void LCD_sprint(char line,char colum,char *string);

#endif
