/***************************************************
*  File			: main.h
*  Autor 		: D.Nolte
*  Date 		: 11.04.2005
*  Version		: 0.0.1
*  -------------------------------------------------
*  Discription	:
*  This is the main file for Steuerung.
*  
*  -------------------------------------------------
*  Changed :
*  Date / Autor / comment.
*
* Hardware info
* CPU			: ATmega8535
* Clockcycle	: 16 MHz
* Display		: 4 Bit-Mode LCD 2*16 Character
* Drive			: 2 DC Motor H-Brcke
*
****************************************************/

#ifndef _main_H_
	#define _main_H_

#define Quartz	16000000	//Quarz Frequenz in Hz von der CPU
//#define Quartz   4000000	//Quarz Ferquenz in Hz der CPU
#define Baudrate 9600
//#define Baudrate 14400			
//#define Baudrate 28800			
//#define Baudrate 57600	
//#define Baudrate 115200
#define Baud Quartz/16/Baudrate-1
#define Anzahl_Programme 5

int init(void); //Initialsiert den Controller


#endif

